# ECharts

<a href="http://echarts.baidu.com">
    <img style="vertical-align: top;" src="./asset/logo.png?raw=true" alt="logo" height="50px">
</a>

ECharts is a free, powerful charting and visualization library offering an easy way of adding intuitive, interactive, and highly customizable charts to your commercial products. It is written in pure JavaScript and based on <a href="https://github.com/ecomfe/zrender">zrender</a>, which is a whole new lightweight canvas library.

**[中文官网](http://echarts.baidu.com)** | **[ENGLISH HOMEPAGE](http://ecomfe.github.io/echarts-doc/public/en/index.html)**

## Get ECharts

+ Download from [echarts.baidu.com](http://echarts.baidu.com/download.html)

+ `npm install echarts --save`

## Get ECharts GL

ECharts-GL is an extension pack of ECharts, which provides 3D plots, globe visualization and WebGL acceleration.

+ Get from [https://github.com/ecomfe/echarts-gl](https://github.com/ecomfe/echarts-gl)

+ `npm install echarts-gl --save`

## Docs

+ [Tutorial](http://echarts.baidu.com/tutorial.html)
    + [中文](http://echarts.baidu.com/tutorial.html)
    + [English](http://ecomfe.github.io/echarts-doc/public/en/tutorial.html)

+ [API](http://echarts.baidu.com/api.html)
    + [中文](http://echarts.baidu.com/api.html)
    + [English](http://ecomfe.github.io/echarts-doc/public/en/api.html)

+ [Option Manual](http://echarts.baidu.com/option.html)
    + [中文](http://echarts.baidu.com/option.html)
    + [English](http://ecomfe.github.io/echarts-doc/public/en/option.html)

## Resources


### Awesome ECharts

[https://github.com/ecomfe/awesome-echarts](https://github.com/ecomfe/awesome-echarts)

### Extensions

+ [水球图 liquidfill](https://github.com/ecomfe/echarts-liquidfill)

+ [字符云 wordcloud](https://github.com/ecomfe/echarts-wordcloud)

+ [Graph Modularity](https://github.com/ecomfe/echarts-graph-modularity) Graph modularity extension for community detection

#### GIS

+ [百度地图扩展](https://github.com/ecomfe/echarts/tree/master/extension/bmap)

+ [leaflet-echarts](https://github.com/wandergis/leaflet-echarts3) by wandergis
+ [arcgis-echarts](https://github.com/wandergis/arcgis-echarts3) by wandergis

+ [echarts-leaflet](https://github.com/gnijuohz/echarts-leaflet) by gnijuohz

+ [ol3Echarts](https://github.com/sakitam-fdd/ol3Echarts) by sakitam-fdd

#### AngularJS Binding

+ [angular-echarts](https://github.com/wangshijun/angular-echarts) by wangshijun
+ [echarts-ng](https://github.com/bornkiller/echarts-ng) by bornkiller
+ [ng-echarts](https://github.com/liekkas/ng-echarts) by liekkas
+ [ngx-echarts](https://github.com/xieziyu/ngx-echarts) by xieziyu

#### Vue Component

+ [vue-echarts](https://github.com/Justineo/vue-echarts) by Justineo
+ [vue-echarts](https://github.com/panteng/vue-echarts) by panteng
+ [vue-echarts-v3](https://github.com/xlsdg/vue-echarts-v3) by xlsdg

#### React Component

+ [echarts-for-react](https://github.com/hustcc/echarts-for-react) by hustcc
+ [react-echarts](https://github.com/somonus/react-echarts) by somonus
+ [re-echarts](https://github.com/liekkas/re-echarts) by liekkas
+ [react-echarts-v3](https://github.com/xlsdg/react-echarts-v3) by xlsdg
+ [d2recharts](https://github.com/leungwensen/d2recharts) by leungwensen

#### React Native Component

+ [react-native-echarts](https://github.com/somonus/react-native-echarts) by somonus

### Other Languages
#### Python

+ [echarts-python](https://github.com/yufeiminds/echarts-python) by yufeiminds
+ [krisk](https://github.com/napjon/krisk) by napjon
+ [pyecharts](https://github.com/chenjiandongx/pyecharts) by chenjiandong

#### R

+ [recharts](https://github.com/taiyun/recharts) by taiyun
+ [recharts](https://github.com/yihui/recharts) by yihui
+ [ECharts2Shiny](https://github.com/XD-DENG/ECharts2Shiny) by XD-DENG

#### Julia

+ [ECharts.jl](https://github.com/randyzwitch/ECharts.jl) by randyzwitch

#### PureScript

+ [purescript-echarts](https://github.com/slamdata/purescript-echarts/)

#### iOS

+ [iOS-Echarts](https://github.com/Pluto-Y/iOS-Echarts) by Pluto-Y

#### Java

+ [ECharts-Java](http://www.oschina.net/p/echarts-java) by Liuzh_533

#### .NET

+ [EChartsSDK](https://github.com/idoku/EChartsSDK) by idoku

#### PHP

+ [Echarts-PHP](https://github.com/hisune/Echarts-PHP) by hisune

#### Node

+ [Node-Echarts](https://github.com/suxiaoxin/node-echarts) by suxiaoxin

## Build

Check this tutorial [Create Custom Build of ECharts](https://ecomfe.github.io/echarts-doc/public/en/tutorial.html#Create%20Custom%20Build%20of%20ECharts)
 please.

## License

ECharts is available under the BSD 3 license.
